using ShipyardContracts.Attributes;
using ShipyardDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardContracts.ViewModels
{
    public class ShipViewModel:IShipModel
    {
        [Column(visible: false)]
        public int Id { get; set; }

        [Column(title: "Название корабля", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string ShipName { get; set; } = string.Empty;

        [Column(title: "Цена", width: 150)]
        public double Price { get; set; }

        [Column(visible: false)]
        public Dictionary<int, (IDetailModel, int)> ShipDetails { get; set; } = new();
    }
}
